Vulnerability Details

ClamAV <= 0.101.4, 0.102.0 Denial of Service (DoS) Vulnerability (Linux)

Published: 2020-01-20 11:14:38
CVE Author: NIST National Vulnerability Database (NVD)

CVSS Base Vector:
AV:N/AC:L/Au:N/C:N/I:N/A:C

Detection Type:
Remote Banner Unreliable

Solution Type:
Vendor Patch

Summary:
ClamAV is prone to a denial of service (DoS) vulnerability.

Detection Method:
Checks if a vulnerable version is present on the target host.

Technical Details:
The vulnerability is due to inefficient MIME parsing routines that result in extremely long scan times of specially formatted email files. An attacker could exploit this vulnerability by sending a crafted email file to an affected device.

Impact:
Successful exploitation would allow an attacker to cause the ClamAV scanning process to scan the crafted email file indefinitely, resulting in a denial of service.

Affected Versions:
ClamAV through version 0.101.4 and version 0.102.0.

Recommendations:
Update to version 0.101.5 or 0.102.1 respectively.

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2019-15961

References:

https://bugzilla.clamav.net/show_bug.cgi?id=12380
https://quickview.cloudapps.cisco.com/quickview/bug/CSCvr56010

Search
Severity
High
CVSS Score
7.8

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.